Bio::Tools::Run::PiseApplication::prose(3)

NAME
Bio::Tools::Run::PiseApplication::prose

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::prose

      Bioperl class for:

        prose   Prosite Pattern search (K. Schuerer)

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/prose.html
         for available values):

                prose (String)

                outfile (OutFile)

                infile (Sequence)
                        Protein Sequence File

                skip (Switch)
                        include abundant patterns

                report (Excl)
                        report occurences (-m)

                case (Switch)
                        search case-sensitive

                warn (Switch)
                        warn of inproper prosite pattern syntaxe

                listfile (InFile)
                        Pattern List File (-l)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/prose.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $prose = Bio::Tools::Run::PiseApplication::prose->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::prose object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $prose = $factory->program('prose');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::prose.